3 Replies Latest reply on Oct 22, 2012 2:53 PM by ManOfNumenor

    error 305: Intial window content SWF version exceeds namespace version

    DaveGallant Level 1

      I have been trying to get the Air3.3 beta 3 sdk installed in my Flash cs 5.5

       

      I put the sdk in the air3.3 folder in my flash folder:

       

      C:\Program Files (x86)\Adobe\Adobe Flash CS5.5\AIR3.3

       

      I then copied airglobal.swc from

       

           C:\Program Files (x86)\Adobe\Adobe Flash CS5.5\AIR3.3\frameworks\libs\air\airglobal.swc

       

      to

       

      C:\Program Files (x86)\Adobe\Adobe Flash CS5.5\Common\Configuration\ActionScript 3.0\AIR3.3\airglobal.swc

       

      I then made a copy of the AdobeAIR2_6.xml file, named it AdobeAIR3_3.xml

       

      It looks like this:

       

      <?xml version="1.0" encoding="UTF-8"?>

      <players>

        <player id="AdobeAIR3_3" version="16" asversion="3" minasversion="3">

          <name>AIR 3.3 beta 3</name>

          <publishobject2 id="Air2_5" version="3.3" intversion="3.3"></publishobject2>

          <path platform="WIN">Air2_5.dll</path>

          <path platform="MAC">Air2_5.bundle</path>

          <playerDefinitionPath as2="$(UserConfig)/Classes/FP9;$(UserConfig)/Classes/FP8;$(UserConfig)/Classes/FP7" as3="$(AppConfig)/ActionScript 3.0/AIR3.3/airglobal.swc" />

          <!-- This item is used to indicate that some UI integrated within Flash should be enabled for this player.

      -->

          <feature name="multiScreenPublish" supported="false" />   

          <feature name="mobileDebug" supported="true" />

          <feature name="apolloPublish" supported="true" />

          <feature name="apolloTestMovie" supported="force"/>

          <feature name="apolloDebugMovie" supported="true"/>

          <feature name="apolloPackaging" supported="true"/>

          <feature name="publish_localPlaybackSecurity" supported="false" />

          <feature name="publish_hardwareAcceleration"     supported="true" />

          <feature name="useDefineFont4ForDeviceText"          supported="true" />

          <feature name="useDefineFont4ForEmbeddedFonts"       supported="true" />

          <feature name="textLayoutFramework"       supported="true" />

          <encodingPresets>

              <preset uuid="0c95a8ba-8b71-44d5-b269-8fd1cf89a6ed"  name="F4V - Same As Source (Flash 9.2 and Higher)" ext="f4v" default="true"/>

          </encodingPresets>

        </player>

      </players>

       

       

       

      (Worth noting: On my first attempt, I accidentally set the version to 17, but I shut down flash and set the file to 16.)

       

      I then open my application descriptor file and set application xmlns to 3.3

       

           <application xmlns="http://ns.adobe.com/air/application/3.3">

       

       

       

      I then open flash, and my project. I get an errors similiar to the one I get when I try to build using the command line tool:

       

      error 305: Intial window content SWF version 17 exceeds namespace version http://ns.adobe.com/air/application/3.3

       

       

      What am I doing wrong or missing?